## com.sun.jersey.server.wadl.generators
Class WadlGeneratorJAXBGrammarGenerator

    java.lang.Object
      com.sun.jersey.server.wadl.generators.AbstractWadlGeneratorGrammarGenerator<javax.xml.namespace.QName>
          com.sun.jersey.server.wadl.generators.WadlGeneratorJAXBGrammarGenerator

All Implemented Interfaces:
  WadlGenerator

    public class WadlGeneratorJAXBGrammarGenerator

extends AbstractWadlGeneratorGrammarGenerator<javax.xml.namespace.QName>

This `WadlGenerator` generates a XML Schema content model based on referenced java beans.

Created on: Jun 22, 2011

Version:
  $Id: WadlGeneratorJAXBGrammarGenerator.java $
Author:
  Gerard Davison

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jersey.server.wadl.generators.AbstractWadlGeneratorGrammarGenerator
`AbstractWadlGeneratorGrammarGenerator.HasType, AbstractWadlGeneratorGrammarGenerator.Pair, AbstractWadlGeneratorGrammarGenerator.WantsName<T>`

Nested classes/interfaces inherited from interface com.sun.jersey.server.wadl.WadlGenerator
`WadlGenerator.Environment, WadlGenerator.ExternalGrammarDefinition, WadlGenerator.Resolver`

Field Summary

Fields inherited from class com.sun.jersey.server.wadl.generators.AbstractWadlGeneratorGrammarGenerator
`_fap, _hasTypeWantsName, _providers, _resolvedType, _root, _seeAlso, _wadl, SPECIAL_GENERIC_TYPES`

Constructor Summary
`WadlGeneratorJAXBGrammarGenerator()`

Method Summary
`boolean` | `acceptMediaType(MediaType type)`
`protected WadlGenerator.Resolver` | `buildModelAndSchemas(java.util.Map<java.lang.String,ApplicationDescription.ExternalGrammar> extraFiles)` Build the JAXB model and generate the schemas based on tha data
`protected AbstractWadlGeneratorGrammarGenerator.WantsName<javax.xml.namespace.QName>` | `createParmWantsName(com.sun.research.ws.wadl.Param param)`
`protected AbstractWadlGeneratorGrammarGenerator.WantsName<javax.xml.namespace.QName>` | `createRepresentationWantsName(com.sun.research.ws.wadl.Representation rt)`

Methods inherited from class com.sun.jersey.server.wadl.generators.AbstractWadlGeneratorGrammarGenerator
`attachTypes, createApplication, createExternalGrammar, createMethod, createParam, createRequest, createRequestRepresentation, createResource, createResources, createResponses, getRequiredJaxbContextPath, init, parameter, setEnvironment, setWadlGeneratorDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlGeneratorJAXBGrammarGenerator

    public WadlGeneratorJAXBGrammarGenerator()

Method Detail

### acceptMediaType

    public boolean acceptMediaType(MediaType type)

  Specified by:
    `acceptMediaType` in class `AbstractWadlGeneratorGrammarGenerator<javax.xml.namespace.QName>`
  Returns:
    true if the media type appears to be a XML type

### buildModelAndSchemas

    protected WadlGenerator.Resolver buildModelAndSchemas(java.util.Map<java.lang.String,ApplicationDescription.ExternalGrammar> extraFiles)

  Build the JAXB model and generate the schemas based on tha data

  Specified by:
    `buildModelAndSchemas` in class `AbstractWadlGeneratorGrammarGenerator<javax.xml.namespace.QName>`
  Parameters:
    `extraFiles` -

### createParmWantsName

    protected AbstractWadlGeneratorGrammarGenerator.WantsName<javax.xml.namespace.QName> createParmWantsName(com.sun.research.ws.wadl.Param param)

  Specified by:
    `createParmWantsName` in class `AbstractWadlGeneratorGrammarGenerator<javax.xml.namespace.QName>`

### createRepresentationWantsName

    protected AbstractWadlGeneratorGrammarGenerator.WantsName<javax.xml.namespace.QName> createRepresentationWantsName(com.sun.research.ws.wadl.Representation rt)

  Specified by:
    `createRepresentationWantsName` in class `AbstractWadlGeneratorGrammarGenerator<javax.xml.namespace.QName>`

Copyright © 2017 Oracle Corporation. All Rights Reserved.